<script>
  // Dimensions
  const width = 800;
  const height = 100;
  const margin = { top: 5, right: 5, bottom: 25, left: 5 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;

  // Array
  const values = [2, 4, 6, 7, 9];

  //Importing scale, axis and select
  import { scaleLog } from 'd3-scale';
  import { axisBottom} from 'd3-axis';
  import { select } from 'd3-selection';
  
  const scale = scaleLog().domain([1, 10]).range([0, 800]);
  const axis = axisBottom(scale);

  function xAxis(g){
    axis(select(g))
  };
</script>

<svg viewBox="0 0 {width} {height}"> 
  <g transform="translate({margin.left},{margin.top})">
    {#each values as value}
    <circle cx={scale(value)} cy={innerHeight /2} r="10" fill="steelblue" />
    {/each}
  </g>
  <g transform="translate(0, 70)" fill="none" font-size="10" font-family="sans-serif" text-anchor="middle">
    <text x={innerWidth /2} y="30" text-anchor="middle" fill="currentcolor">x label</text>
  </g>
  <g transform="translate({margin.left}, {height-margin.bottom})" use:xAxis></g>
  </svg>

